Subject: bug#7146: (make-symbol "") issues

From: Chong Yidong <[email-masked]>
Date: Sun, 03 Oct 2010 14:56:53 -0400

MON KEY <[email-masked]> writes:

> So, IIUC is the rationale for doing this is that there aren't really
> any particularly good reasons to intern the empty string given that
> the reader is incapable of reading it correctly?

The only reason is that it can lead to a crash.  There are plenty of
reasons to shoot yourself in the foot in Lisp in you're determined to do
so; it's not profitable to address them unless a real world problem
surfaces.